# Class MetalToolBarUI.MetalContainerListener

java.lang.Object
javax.swing.plaf.basic.BasicToolBarUI.ToolBarContListener
javax.swing.plaf.metal.MetalToolBarUI.MetalContainerListener

All Implemented Interfaces:
  `ContainerListener, EventListener`

Enclosing class:
  `MetalToolBarUI`

protected class MetalToolBarUI.MetalContainerListener extends BasicToolBarUI.ToolBarContListener
No longer used. The class cannot be removed for compatibility reasons.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetalContainerListener()`
  Constructs a `MetalContainerListener`.

- ## Method Summary

  ### Methods declared in class BasicToolBarUI.ToolBarContListener

  `componentAdded, componentRemoved`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetalContainerListener

    protected MetalContainerListener()
    Constructs a `MetalContainerListener`.